# mios32/MIOSJUCE/FreeRTOS/Source/include/task.h File Reference

`#include "portable.h"`
`#include "list.h"`

## Defines
#define | tskKERNEL_VERSION_NUMBER "JUCE"
#define | tskIDLE_PRIORITY ( ( unsigned portBASE_TYPE ) 0 )
#define | portTICK_RATE_MS 1
## Typedefs
typedef int | xTaskHandle
## Functions
signed portBASE_TYPE | xTaskCreate (pdTASK_CODE pvTaskCode, const signed portCHAR *const pcName, unsigned portSHORT usStackDepth, void *pvParameters, unsigned portBASE_TYPE uxPriority, xTaskHandle *pxCreatedTask)
portTickType | xTaskGetTickCount (void)
void | vTaskDelay (portTickType xTicksToDelay)
void | vTaskDelayUntil (portTickType *const pxPreviousWakeTime, portTickType xTimeIncrement)
void | vTaskSuspend (xTaskHandle pxTaskToSuspend)
void | vTaskResume (xTaskHandle pxTaskToResume)
void | vTaskSuspendAll (void)
void | xTaskResumeAll (void)

## Define Documentation

#define portTICK_RATE_MS 1

#define tskIDLE_PRIORITY ( ( unsigned portBASE_TYPE ) 0 )

#define tskKERNEL_VERSION_NUMBER "JUCE"

## Typedef Documentation

typedef int xTaskHandle

## Function Documentation

void vTaskDelay | ( | portTickType | xTicksToDelay | ) |

Here is the call graph for this function:

void vTaskDelayUntil | ( | portTickType *const | pxPreviousWakeTime,
|  | portTickType | xTimeIncrement |
| ) |  |  |

Here is the call graph for this function:

void vTaskResume | ( | xTaskHandle | pxTaskToResume | ) |

Here is the call graph for this function:

void vTaskSuspend | ( | xTaskHandle | pxTaskToSuspend | ) |

Here is the call graph for this function:

void vTaskSuspendAll | ( | void |  | ) |

Here is the call graph for this function:

signed portBASE_TYPE xTaskCreate | ( | pdTASK_CODE | pvTaskCode,
|  | const signed portCHAR *const | pcName,
|  | unsigned portSHORT | usStackDepth,
|  | void * | pvParameters,
|  | unsigned portBASE_TYPE | uxPriority,
|  | xTaskHandle * | pxCreatedTask |
| ) |  |  |

Here is the call graph for this function:

portTickType xTaskGetTickCount | ( | void |  | ) |

Here is the call graph for this function:

void xTaskResumeAll | ( | void |  | ) |

Here is the call graph for this function: